#!/bin/bash -e

apt-get update
dpkg --purge --force-depends ca-certificates-java
apt-get install ca-certificates-java

if [ $JAVA_VERSION = "17" ]
then
  GRADLE_VERSION="7.4.1"
else
  GRADLE_VERSION="6.9"
fi
echo "================ Installing gradle "$GRADLE_VERSION"  ================="
wget -nv https://services.gradle.org/distributions/gradle-$GRADLE_VERSION-all.zip
unzip -qq gradle-$GRADLE_VERSION-all.zip -d /usr/local && rm -f gradle-$GRADLE_VERSION-all.zip
ln -fs /usr/local/gradle-$GRADLE_VERSION/bin/gradle /usr/bin
echo "export PATH=$PATH:/usr/local/gradle-$GRADLE_VERSION/bin" >> /etc/drydock/.env

APACHE_MAVEN="3.9.4"
echo "================ Installing apache-maven "$APACHE_MAVEN" ================="
apt-get update
wget -nv https://dlcdn.apache.org/maven/maven-3/$APACHE_MAVEN/binaries/apache-maven-$APACHE_MAVEN-bin.tar.gz
tar xzf apache-maven-$APACHE_MAVEN-bin.tar.gz -C /usr/local && rm -f apache-maven-$APACHE_MAVEN-bin.tar.gz
ln -fs /usr/local/apache-maven-$APACHE_MAVEN/bin/mvn /usr/bin
echo "export PATH=$PATH:/usr/local/apache-maven-$APACHE_MAVEN/bin" >> /etc/drydock/.env
echo "export M2_HOME=/usr/local/apache-maven-$APACHE_MAVEN/" >> /etc/drydock/.env

APACHE_ANT="1.10.12"
echo "================ Installing apache-ant "$APACHE_ANT" ================="
apt-get update
wget -nv https://archive.apache.org/dist/ant/binaries/apache-ant-$APACHE_ANT-bin.tar.gz
tar xzf apache-ant-$APACHE_ANT-bin.tar.gz -C /usr/local && rm -f apache-ant-$APACHE_ANT-bin.tar.gz
ln -fs /usr/local/apache-ant-$APACHE_ANT/bin/ant /usr/bin
echo "export ANT_HOME=/usr/local/apache-ant-$APACHE_ANT" >> /etc/drydock/.env
echo "export PATH=$PATH:/usr/local/apache-ant-$APACHE_ANT/bin" >> /etc/drydock/.env

echo "================ Installing openjdk-"$JAVA_VERSION"-jdk ================="

if [ "$JAVA_VERSION" = "8" ]
then
  apt-get install -y openjdk-"$JAVA_VERSION"-jdk
elif [ "$JAVA_VERSION" = "11" ]
then
  apt-get install -y openjdk-"$JAVA_VERSION"-jdk
elif [ "$JAVA_VERSION" = "17" ]
then
  apt-get install -y openjdk-"$JAVA_VERSION"-jdk
fi
